Bug 45157 - abiword SRPM needs several build dependencies listed
abiword SRPM needs several build dependencies listed
Product: Red Hat Linux
Classification: Retired
Component: abiword (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-20 12:36 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-21 09:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-20 12:36:16 EDT
Description of Problem: with the 7.1 product, you cannot build the abiword
SRPM without having the following RPMs installed:

But, if "rpm -ba /usr/src/redhat/SPECS/abiword*spec" is executed, you do
NOT get an error from rpm about missing/unsatisfied build dependencies from
the above list of RPMs. If you install the above list of RPMs, the abiword
SRPM builds with no errors.  Un-installing any of the above RPMs also
results in a build failure due to unstated-yet-present dependencies.

How Reproducible: Always

Steps to Reproduce:
    1. rpm -e <above-list-of-RPMs>
    2. rpm -Uvh <tree-path>/SRPMS/abiword*.src.rpm
    3. rpm -ba /usr/src/redhat/SPECS/abiword*spec
    4. rpm -Uvh <tree-path>/RedHat/RPMS/<above-list-of-RPMs> (and their
 associated dependencies)
    5. rpm -ba /usr/src/redhat/SPECS/abiword*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the abiword SRPM cannot be built without installing the
above list of RPMs.
Comment 1 Bernhard Rosenkraenzer 2001-06-26 11:53:18 EDT
Fixed in 0.7.14-5

Note You need to log in before you can comment on or make changes to this bug.